Dear Thomas,

Thanks for the informations. I think I am able to use port to install the pymol1.5 version but I would also need to remove the existing 1.6 version. Can you tell me the command to uninstall the existing version and then do a fresh installation? 

Thanks again
Rhitankar






On Wed, May 8, 2013 at 12:34 PM, Thomas Holder <thomas.holder@schrodinger.com> wrote:
Dear Rhitankar,

I should point out that Schrödinger also sells pre-compiled PyMOL with
easy to use installers. http://pymol.org/academic.html

Open-Source PyMOL was always targeted to power-users who are familiar
with compiling software themselves.

Regarding your question: It will most likely not be possible to compile
and install open-source PyMOL with the system python on Mac, because OSX
ships with an incompatible Tkinter library. So Pmw won't be your last
problem.

With macports it should work fine if you do this (see also David's answers):

sudo port install tcl -corefoundation +threads
sudo port install tk -quartz +x11
sudo port install pymol

Hope that helps.

Cheers,
  Thomas

Rhitankar Pal wrote, On 05/08/13 18:01:
> Dear Thomas,
>
> Even after I installed the Pmw1.3 which should be compatible with
> python2.7 and reinstalling the pymol, I am still the following error
> message.
>
>   File "/Library/Python/2.7/site-packages/pymol/__init__.py", line 450,
> in launch_gui
>     __import__(self.invocation.options.gui)
>   File "/Library/Python/2.7/site-packages/pmg_tk/__init__.py", line 22,
> in <module>
>     from PMGApp import *
>   File "/Library/Python/2.7/site-packages/pmg_tk/PMGApp.py", line 33, in
> <module>
>     class PMGApp(Pmw.MegaWidget):
>   File
> "/Library/Python/2.7/site-packages/Pmw/Pmw_2_0_0/lib/PmwLoader.py", line
> 131, in __getattr__
>     self._initialise()
>   File
> "/Library/Python/2.7/site-packages/Pmw/Pmw_2_0_0/lib/PmwLoader.py", line
> 89, in _initialise
>     raise ImportError(msg)
>
> This is preventing it from opening the GUI. Do you have any idea what
> should I do to avoid this.
>
> Thanks for your help.
>
> Rhitankar
>
>
> On Sat, May 4, 2013 at 6:21 AM, Thomas Holder wrote:
>
>     Hi Rhitankar,
>
>     looks like you installed the python3 version of Pmw which is not
>     compatible with python 2.7.
>
>     Cheers,
>       Thomas
>
>     Rhitankar Pal wrote, On 05/03/13 21:16:
>     > Dear Pymol developers,
>     >
>     > I have recently installed pymol 1.6.x in MAC OS X 10.8.2 and have the
>     > following error while opening the GUI
>     >
>     > Traceback (most recent call last):
>     >   File "/Library/Python/2.7/site-packages/pmg_tk/__init__.py",
>     line 35,
>     > in run
>     >     PMGApp(pymol_instance,skin).run(poll)
>     >   File "/Library/Python/2.7/site-packages/pmg_tk/PMGApp.py", line 325,
>     > in __init__
>     >     self.runSkin()
>     >   File "/Library/Python/2.7/site-packages/pmg_tk/PMGApp.py", line 251,
>     > in runSkin
>     >     self.skin.setup()
>     >   File
>     > "/Library/Python/2.7/site-packages/pmg_tk/skins/normal/__init__.py",
>     > line 3661, in setup
>     >     self.createInterface()
>     >   File
>     > "/Library/Python/2.7/site-packages/pmg_tk/skins/normal/__init__.py",
>     > line 3634, in createInterface
>     >     self.balloon = Pmw.Balloon(self.root)
>     >   File
>     > "/Library/Python/2.7/site-packages/Pmw/Pmw_2_0_0/lib/PmwBalloon.py",
>     > line 28, in __init__
>     >     Pmw.MegaToplevel.__init__(self, parent)
>     >   File
>     "/Library/Python/2.7/site-packages/Pmw/Pmw_2_0_0/lib/PmwBase.py",
>     > line 982, in __init__
>     >     super().__init__(parent, tkinter.Toplevel)
>     > TypeError: super() takes at least 1 argument (0 given)
>     >
>     > As a result it never opens the "The Pymol Molecular Graphics System"
>     > window. Can anyone help to find out what might be wrong.
>     >
>     > Thanks
>     > Rhitankar
> --
> Rhitankar Pal
> Postdoctoral Researcher,
> Dept of Chemistry, Yale University
> New Haven, CT 06511

--
Thomas Holder
PyMOL Developer
Schrödinger Contractor

------------------------------------------------------------------------------
Learn Graph Databases - Download FREE O'Reilly Book
"Graph Databases" is the definitive new guide to graph databases and
their applications. This 200-page book is written by three acclaimed
leaders in the field. The early access version is available now.
Download your free book today! http://p.sf.net/sfu/neotech_d2d_may



--
Rhitankar Pal
Postdoctoral Researcher,
Dept of Chemistry, Yale University
New Haven, CT 06511